# Usage: python gen_featscp.py arg1 
# arg1: directory path of input htk files
# output: scp file of features in specified input directory
# example usage: python ./scripts/gen_featscp.py data/gauss_2D_2C/train/

import os, sys

dir_input = sys.argv[1]
path_output = os.path.join(dir_input, "feats.scp")
ext_input = 'htk'

cmd_s = ''.join(('mkdir -p ',os.path.dirname(path_output)))
os.system(cmd_s)

cmd_s = ''.join(('ls ',os.path.join(dir_input,'*.'+ext_input),' > tmp;'))
os.system(cmd_s)

os.system(cmd_s)
f=open('tmp')
os.system('rm tmp')
lines=f.readlines()
f.close()

f = open(path_output,'w');
for line in lines:
  input_path = line.rstrip()
  fname = os.path.basename(input_path)
  bname = fname.replace(''.join(('.',ext_input)),'')
  #print bname
  output_line = ' '.join((bname,input_path,'\n'))
  #print output_line
  f.write(output_line)
f.close()
print 'done'
